This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 558387 - Systemtap man pages override standard C man pages
Systemtap man pages override standard C man pages
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: systemtap (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Frank Ch. Eigler
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-25 00:15 EST by D. Wagner
Modified: 2010-04-05 15:34 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-05 15:34:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 11210 None None None Never

  None (edit)
Description D. Wagner 2010-01-25 00:15:36 EST
Description of problem:

If systemtap is installed, its man pages override the standard C library man pages.  That's a poor default.

Version-Release number of selected component (if applicable):

systemtap-1.1-1.fc12.x86_64
man-1.6f-22.fc12.x86_64
man-pages-3.22-6.fc12.noarch

How reproducible: 100%

Steps to Reproduce:
1. Install systemtap
2. Run "man strlen"
  
Actual results: You see a systemtap man page (/usr/share/man/man3/strlen.3stap.gz)

Expected results: One should see a standard C library man page (/usr/share/man/man3/strlen.3.gz)

This affects a few other man pages as well (e.g., strtol).
Comment 1 Mark Wielaard 2010-01-25 03:36:54 EST
This is upstream bug http://sourceware.org/bugzilla/show_bug.cgi?id=11210
"3stap man pages colliding with 3"
Comment 2 William Cohen 2010-04-05 15:34:13 EDT
This is fixed in systemtap-1.2-1.fc12.

The following will now provide the systemtap strlen man page:

man function::strlen

List of all the strlen commands on the system:

whatis strlen
strlen               (3)  - calculate the length of a string
strlen               (3p)  - get string length
strlen               (3stap)  - Returns the length of a string
strlen               (9)  - Find the length of a string
strlen [string]      (3)  - string operations

Note You need to log in before you can comment on or make changes to this bug.